PCT Firewall Plus 3.14

Discussion in 'other firewalls' started by QBgreen, Apr 11, 2009.

Thread Status:
Not open for further replies.
  1. QBgreen

    QBgreen Registered Member

    Joined:
    Jan 1, 2005
    Posts:
    627
    Location:
    Queens County, NY
    Does anyone know where I can download this version? Much Thanks!
     
  2. subset

    subset Registered Member

    Joined:
    Nov 17, 2007
    Posts:
    825
    Location:
    Austria
    From the Hungarian chip.eu side :D

    hxxp://download.chip.eu/hu/PC-Tools-Firewall-Plus-3.0_700348.html

    Just choose "Töltse le most!" and again "Töltse le most!" at the popup. o_O

    I have downloaded it and checked the MD5 hash. It's the same like the hash from my archived version, which I have downloaded from PC Tools long ago.

    Cheers
     
  3. QBgreen

    QBgreen Registered Member

    Joined:
    Jan 1, 2005
    Posts:
    627
    Location:
    Queens County, NY
    Got it. Much thanks, subset. :thumb:
     
  4. mintpai

    mintpai Registered Member

    Joined:
    Feb 12, 2007
    Posts:
    5
  5. tipstir

    tipstir Registered Member

    Joined:
    Jun 9, 2008
    Posts:
    830
    Location:
    SFL, USA
    If you have trouble let me know.. 3.14 code injection and RegProt stops those rookits in there tracks..
     
  6. progress

    progress Guest

    Is there any reason to use 3.14 instead of 5.0? o_O
     
  7. tipstir

    tipstir Registered Member

    Joined:
    Jun 9, 2008
    Posts:
    830
    Location:
    SFL, USA
    I've ran, 4, and 5 to test, 3.14 just better overhaul no slowdown, no hangs, an etc.... I build systems and repair infections and install this on the Starter Edition SDA from PCT. I can't see no other firewall that's free that works as great as 3.14. Next to this one would be the old Armor2net 3.12. Other than that nothing..
     
  8. tipstir

    tipstir Registered Member

    Joined:
    Jun 9, 2008
    Posts:
    830
    Location:
    SFL, USA
    Re: PCT Firewall Plus 3.14 Time Lock on this FW

    Sometime yesterday on 4/13/09, It seems this version can't continue on without it being updated to the next version otherwise it will fail to start/run. All my 8 systems are effected by this time lock. Shame it was better than they have now.. I did tried to re-install it the same popup appeared. Even tried to disabled all updates and it still failed to start. I had to use the standby Armor2net 3.13.30 for now.. Although Armor2net is faster than PCT FWP Armor2net only uses 18KB of system resources, it can't be use on multi-accounts on a PC so if you had more than one users on that PC then it won't load.
     
    Last edited: Apr 14, 2009
  9. Murderlove

    Murderlove Registered Member

    Joined:
    Jul 18, 2008
    Posts:
    99
    That is strange.. I installed it Sunday and disabled automatic update from the beginning, but haven't had any problems yet. It loaded perfectly today.. I will keep you informed though.
     
  10. tipstir

    tipstir Registered Member

    Joined:
    Jun 9, 2008
    Posts:
    830
    Location:
    SFL, USA
    Give it a chance it will happen to you also. I've disabled all updates on them on people I told to use it, they told me it still try to call home and the update message appeared. My HTPC had stopped comuncating with my systems. I use NDM great tool (Network Drive Manager) it keeps on trying to connect to network drives if they should disconnect on you it also has trueCrypt too. NDM great on wireless laptops where the network drives don't connect any more.. But now firewall issues. Oh boy..

    There was an small update for 3.14 the hook.dll has a small bug in it.. Now I don't have that hook.dll since we can't update it as 5.x tries to come down the pipe and install it's self and then everything comes to a crawl because they embedded more protection into FWP..
     
  11. tipstir

    tipstir Registered Member

    Joined:
    Jun 9, 2008
    Posts:
    830
    Location:
    SFL, USA
    I had to recovery and image for one of my wireless laptop, it loaded 3.14 but it had a lock key appear near smart update. Let's see if the laptop can load 3.14 or does it crashed with error message..
     
  12. tipstir

    tipstir Registered Member

    Joined:
    Jun 9, 2008
    Posts:
    830
    Location:
    SFL, USA
    Update.. Still have issues trying to get the ini file to start on two systems.. Other systems FWP seems to be loading okay.. and the server I am using the license key PCTools had sent me instead of keeping it unregistered.. Oh well I'll have to blow out those systems it won't load on as the registry might be the caused.. I have been sent a FWNetworkPlugin but that's for the registry from PCTools. I'll have to test it though..

    If you want the 3.14 and what they sent me to fix FWnetwork plugin you can find them both here:
    http://www.mediafire.com/?sharekey=a29a2339043705088c9e7c56ba37815f016b4d7f47316574
     
  13. tipstir

    tipstir Registered Member

    Joined:
    Jun 9, 2008
    Posts:
    830
    Location:
    SFL, USA
    Found out the issue with 3.14, it was with spyware doctor with antivirus under IntelliGuard - File Guard don't use All Files and Processes, use the Processes and Scripts instead.

    I was able to load 3.14 again without any issues.. I am testing..

    PC Tools Internet Security (sluggish uses 64KB)
    Comodo Internet Security (quick, has a lot of false alerts in malware)
    Avir Free (this one very slow to scan and I don't like the nag screens)
    Deswall would be next..

    I'll end up going back to 3.14 SDASE..
     
  14. Murderlove

    Murderlove Registered Member

    Joined:
    Jul 18, 2008
    Posts:
    99
    Update on my part. Still didn't have the problem you mentioned, but saw that you already found out what was causing it.

    But to be honest I did not notice any difference in performance and system load between the newest one and 3.14.
     
  15. tipstir

    tipstir Registered Member

    Joined:
    Jun 9, 2008
    Posts:
    830
    Location:
    SFL, USA
    Mmm? I am using INS 2009, 6.0.1.440 that has the v5 in it less impact on system resources so I've switch to this plus I don't have everything active only what I need per system ( wired gig desktop and wireless laptop). I only use the 3.14 on Gig Server for now. PC Tools Tech said that 3.14 doesn't need to be updated. So just leave as it..
     
  16. interested

    interested Registered Member

    Joined:
    Jan 26, 2007
    Posts:
    9
    dear tipstir
    you wrote earlier " I can't see no other firewall that's free that works as great as 3.14."

    what is the best paid firewall in your opinion?
    and would consider it to be superior to 3.14?
    best wishes
    interested
     
  17. tipstir

    tipstir Registered Member

    Joined:
    Jun 9, 2008
    Posts:
    830
    Location:
    SFL, USA
    3.14 it's great and free, There INS (Internet Security 2009) is better for my needs. That's not for free you can try it out for free though. I still use there free firewall plus on server and old laptop running PII 266MHz, 256MB of SDRAM, 40GB 7200RPM (key to run Windows XP Pro SP3) I just updated the 3.14 on that laptop to 5.0.38 or the latest one as the INS uses the same Firewall code engine. It uses valid digital signature in applications to be accepted, so no more allow/block popups like in 3.14 with code injection. Still

    If you go the free route

    Firewall Plus 5.0.38 or current (disable enhanced security under filter)
    ThreatFire current (set it to level 4)
    Spyware Doctor SE with AntiVirus current (set processes and script)
    RegProt (keeps eye on the Registry Run as Run Only)
    Spyware Blaster 4.2 or better
     
  18. tipstir

    tipstir Registered Member

    Joined:
    Jun 9, 2008
    Posts:
    830
    Location:
    SFL, USA
    Well folks back with 3.0.1.14 why because 5.0.0.38 and NIS 2009 can't protect the system enough for Power Users. Again this is one layer of protection still need the other layers..
     
  19. newbino

    newbino Registered Member

    Joined:
    Aug 13, 2007
    Posts:
    377
    tipstir hi, two questions for you:

    1. did you work out how to stop the FW wanting to update even with automatic update disabled??

    and

    2. on the 18th you stated "PC Tools Tech said that 3.14 doesn't need to be updated. So just leave as it.." but previously "There was an small update for 3.14 the hook.dll has a small bug in it" - ehat's the deal here?

    I guess then we don't need your updates from mediafire, correct?

    thanks!
     
  20. tipstir

    tipstir Registered Member

    Joined:
    Jun 9, 2008
    Posts:
    830
    Location:
    SFL, USA
    Yes there is an update for hook.dll but that won't update now since there are newer versions like with 6 which you can use. Frankly there are better firewall software like Rising and Comodo as they don't prompt you so many times only for those it deems a threat with the HIPS feature.
     
Loading...
Thread Status:
Not open for further replies.